%define major	13
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Summary:	Integer Set Library
Name:		isl
Version:	0.13
Release:	2
License:	MIT
Group:		System/Libraries
Url:		git://repo.or.cz/isl.git
Source0:	http://isl.gforge.inria.fr/isl-0.13.tar.xz
# See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=58012
Patch0:		isl-no-iostream.patch
BuildRequires:	gmp-devel

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints. Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.

It also includes an ILP solver based on generalized basis reduction,
transitive closures on maps (which may encode infinite graphs),
dependence analysis and bounds on piecewise step-polynomials.

#----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Integer Set Library
Group:		System/Libraries

%description -n	%{libname}
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints. Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.

It also includes an ILP solver based on generalized basis reduction,
transitive closures on maps (which may encode infinite graphs),
dependence analysis and bounds on piecewise step-polynomials.

%files -n %{libname}
%{_libdir}/libisl.so.%{major}*

#----------------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for the isl Integer Set Library
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}isl-static-devel < 0.11.1-3

%description -n	%{devname}
Header files for the isl Integer Set Library.

%files -n %{devname}
%{_libdir}/libisl.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches
autoreconf -fi

%build
%configure \
	--disable-static
%make

%install
%makeinstall_std

# (tpg) not needed ?
rm -rf %{buildroot}%{_libdir}/*%{name}*-gdb.py

%check
# All tests must pass
make check

%changelog
* Tue Sep 09 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.13-2
+ Revision: bf063ad
- Do not package *-gdb.py
- The script is not usually needed. If it is present ldconfig complains
- about it not being a library but residing in /usr/lib*.


